Subject: bug#49265: [External] : bug#49265: 28.0.50; repeat mode feature request

From: Drew Adams <[email-masked]>
Date: Tue, 6 Jul 2021 01:31:49 +0000

> Indeed, there is text "keymap is repeatable by these commands"
> in the sense that the keymap is activated for repetition
> in post-command-hook.

I don't think the particular meaning you claim there
is suggested by that wording, i.e., that readers will
understand such an esoteric meaning of "repeatable"
as applied to a keymap.

> Maybe Drew could suggest a better text?

My suggestion would be to not say anything about the
keymaps involved.  What's the purpose in trying to do
that?  What additional help do you mean to provide
by it?

> One thing I see that could be improved is a too ambiguous
> name `describe-repeat'.

The problem isn't ambiguity, IMO.  It's that the name
and the description are overly general.  Only some
repeatable commands are covered by this (apparently).

> I propose to rename this command to `describe-repeat-mode'.

That sounds like it's a command that describes some
mode called `repeat-mode'.

I don't have a great suggestion for the name.  IIUC,
the command lists bindings of commands that are
defined using function `repeat'.

Maybe `list-repeat-commands', as OP suggested.  Or
maybe `describe-repeat-bindings', as it is bindings
that are listed/described.  I don't think it's
about describing the commands - their bindings are
listed.

(`repeat' vs `repeatable', since it's limited to
commands defined using repeat.el.)